Bug 118960 - Problem with tab stop right alignment or zero position in Table of Contents index / ToC for additional tab stops
Summary: Problem with tab stop right alignment or zero position in Table of Contents i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 87523 99163 116009 (view as bug list)
Depends on:
Blocks: TableofContents-Indexes
  Show dependency treegraph
 
Reported: 2018-07-26 16:30 UTC by Timur
Modified: 2019-11-28 04:08 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
TOC-alignment.odt (19.75 KB, application/vnd.oasis.opendocument.text)
2018-07-26 16:30 UTC, Timur
Details
TOC-alignment fileopen compared LO MSO (158.07 KB, image/jpeg)
2018-11-27 09:45 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2018-07-26 16:30:36 UTC
Created attachment 143792 [details]
TOC-alignment.odt

Alignment in Table of Contents issue was mentioned first in Bug 32360. I converted that bug to enhancement that's also requested. 
Later it was reported in Bug 87523. Somehow, it went wrong and closed, but I'll mark as a duplicate of this one. 
Again it was reported in Bug 90667 but let's keep that bug as a special case because it doesn't follow general problem from this bug. 
I'm turning this one into LO issue with right alignment in TOC. 

There's a general issue and issue with some docs. 
General issue is presented in attached ODT. It's about adding (Insert TOC) and editing TOC (right-click edit Index). 

If you add tab stop (before Chapter number), it will behave normally only if you add some Tab stop position (here 0,5cm). That's the first TOC.
But if you just add tab stop (let's say before Chapter number as in examples, but can be after also), it will have default tab stop position 0cm and be conflicted with another tab that's aligned right. That's the second TOC.

Expected: Chapter name Entry is always normally positioned after Chapter number, including if there's another tab (regardless if another tab is positioned 0cm or Right align, if that won't be changed)
Experienced: Entry is right aligned if we add second tab stop with default position 0cm or "Align right" while default tab stop before page number remains "Align right". 

Workarounds: 
- add tab position to first tab position (not likely to discover) and don't use "Align right" there (OK, not default)
- turn off right align from second tab (not what we want).
Note: adding for each level is different.
Comment 1 Timur 2018-07-26 16:32:03 UTC
*** Bug 87523 has been marked as a duplicate of this bug. ***
Comment 2 Timur 2018-07-27 12:07:48 UTC
*** Bug 99163 has been marked as a duplicate of this bug. ***
Comment 3 Timur 2018-07-27 12:13:43 UTC
Example attachment 124599 [details] from Bug 99163 shows the same: 3rd tab stop with tab stop position of the second level of 0cm. Didn't mention right alignment. 
New per duplicates. I mark earlier as a dupe, since more details here. Saw the other one only after reporting. Never mind, there was no activity. Hopefully this one will bump it now.

Real solution is to prevent unneeded right alignment. Partial solution is to set tab stop position to more than 0 and maybe disable 0.
Comment 4 Timur 2018-07-31 16:47:42 UTC
*** Bug 116009 has been marked as a duplicate of this bug. ***
Comment 5 Timur 2018-07-31 16:50:42 UTC
Example attachment 140138 [details] from Bug 116009 shows the same: 2nd tab stop with tab stop position 0cm in addition to right aligned. Didn't mention right alignment though. 
Similar suggestion to put a default value other than 0.
Comment 6 Thorsten Behrens (CIB) 2018-11-26 12:28:30 UTC
Is that fixed with bug 121456 ?
Comment 7 Timur 2018-11-27 09:34:57 UTC
Not fixed with bug 121456. 
If example ODT is opened in MSO it previews similarly incorrect as in LO, but Update Field fixes it, unlike LO.
Comment 8 Timur 2018-11-27 09:45:42 UTC
Created attachment 147061 [details]
TOC-alignment fileopen compared LO MSO
Comment 9 QA Administrators 2019-11-28 04:08:01 UTC
Dear Timur,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug